DefaultMetaClassInfo (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class DefaultMetaClassInfo

- org.codehaus.groovy.runtime.metaclass.DefaultMetaClassInfo

- WARNING: This class is for internal use only! We use this class to store information about if a default MetaClass is used for certain primitives.

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DefaultMetaClassInfo.ConstantMetaClassVersioning` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `origBool`
    `boolean` | `origByte`
    `boolean` | `origChar`
    `boolean` | `origDouble`
    `boolean` | `origFloat`
    `boolean` | `origInt`
    `boolean` | `origIntArray`
    `boolean` | `origLong`
    `boolean` | `origShort`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `disabledStandardMetaClass()`
    `` | `static DefaultMetaClassInfo.ConstantMetaClassVersioning` | `getCurrentConstantMetaClassVersioning()`
    `` | `static DefaultMetaClassInfo.ConstantMetaClassVersioning` | `getNewConstantMetaClassVersioning()`
    `` | `static boolean` | `isOrigBool()` @return true if no meta class creation handle is set and if the original boolean meta class is used.
    `` | `static boolean` | `isOrigByte()` @return true if no meta class creation handle is set and if the original byte meta class is used.
    `` | `static boolean` | `isOrigChar()` @return true if no meta class creation handle is set and if the original char meta class is used.
    `` | `static boolean` | `isOrigDouble()` @return true if no meta class creation handle is set and if the original double meta class is used.
    `` | `static boolean` | `isOrigFloat()` @return true if no meta class creation handle is set and if the original float meta class is used.
    `` | `static boolean` | `isOrigInt()` @return true if no meta class creation handle is set and if the original integer meta class is used.
    `` | `static boolean` | `isOrigIntArray()` @return true if no meta class creation handle is set and if the original integer array meta class is used.
    `` | `static boolean` | `isOrigLong()` @return true if no meta class creation handle is set and if the original long meta class is used.
    `` | `static boolean` | `isOrigShort()` @return true if no meta class creation handle is set and if the original short meta class is used.
    `` | `static void` | `setCategoryUsed(boolean b)`
    `` | `static void` | `setOrigBool(boolean v)` sets if the original boolean meta class is used
    `` | `static void` | `setOrigByte(boolean v)` sets if the original byte meta class is used
    `` | `static void` | `setOrigChar(boolean v)` sets if the original char meta class is used
    `` | `static void` | `setOrigDouble(boolean v)` sets if the original double meta class is used
    `` | `static void` | `setOrigFloat(boolean v)` sets if the original float meta class is used
    `` | `static void` | `setOrigInt(boolean v)` sets if the original int meta class is used
    `` | `static void` | `setOrigIntArray(boolean v)` sets if the original int array meta class is used
    `` | `static void` | `setOrigLong(boolean v)` sets if the original long meta class is used
    `` | `static void` | `setOrigShort(boolean v)` sets if the original short meta class is used
    `` | `static void` | `setPrimitiveMeta(Class c, boolean orig)`
    `` | `static void` | `setWithoutCustomMetaclassCreationHandle(boolean mch)` sets if the system uses a custom meta class creation handle

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean origBool

    - #### boolean origByte

    - #### boolean origChar

    - #### boolean origDouble

    - #### boolean origFloat

    - #### boolean origInt

    - #### boolean origIntArray

    - #### boolean origLong

    - #### boolean origShort

  - ### Method Detail

    - #### public static boolean disabledStandardMetaClass()

    - #### public static DefaultMetaClassInfo.ConstantMetaClassVersioning getCurrentConstantMetaClassVersioning()

    - #### public static DefaultMetaClassInfo.ConstantMetaClassVersioning getNewConstantMetaClassVersioning()

    - #### public static boolean isOrigBool()

      Returns:
        true if no meta class creation handle is set and if the original boolean meta class is used.

    - #### public static boolean isOrigByte()

      Returns:
        true if no meta class creation handle is set and if the original byte meta class is used.

    - #### public static boolean isOrigChar()

      Returns:
        true if no meta class creation handle is set and if the original char meta class is used.

    - #### public static boolean isOrigDouble()

      Returns:
        true if no meta class creation handle is set and if the original double meta class is used.

    - #### public static boolean isOrigFloat()

      Returns:
        true if no meta class creation handle is set and if the original float meta class is used.

    - #### public static boolean isOrigInt()

      Returns:
        true if no meta class creation handle is set and if the original integer meta class is used.

    - #### public static boolean isOrigIntArray()

      Returns:
        true if no meta class creation handle is set and if the original integer array meta class is used.

    - #### public static boolean isOrigLong()

      Returns:
        true if no meta class creation handle is set and if the original long meta class is used.

    - #### public static boolean isOrigShort()

      Returns:
        true if no meta class creation handle is set and if the original short meta class is used.

    - #### public static void setCategoryUsed(boolean b)

    - #### public static void setOrigBool(boolean v)

      sets if the original boolean meta class is used

    - #### public static void setOrigByte(boolean v)

      sets if the original byte meta class is used

    - #### public static void setOrigChar(boolean v)

      sets if the original char meta class is used

    - #### public static void setOrigDouble(boolean v)

      sets if the original double meta class is used

    - #### public static void setOrigFloat(boolean v)

      sets if the original float meta class is used

    - #### public static void setOrigInt(boolean v)

      sets if the original int meta class is used

    - #### public static void setOrigIntArray(boolean v)

      sets if the original int array meta class is used

    - #### public static void setOrigLong(boolean v)

      sets if the original long meta class is used

    - #### public static void setOrigShort(boolean v)

      sets if the original short meta class is used

    - #### public static void setPrimitiveMeta(Class c, boolean orig)

    - #### public static void setWithoutCustomMetaclassCreationHandle(boolean mch)

      sets if the system uses a custom meta class creation handle